'use strict';
module.exports = [
  // 期刊
  {
    url: '/api/journal/intact/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/journal/intact/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/journal/intact/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/journal/intact/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  {
    url: '/api/journal/intact/fetch',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  // 目录
  {
    url: '/api/journal/catalogue/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/journal/catalogue/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/journal/catalogue/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/journal/catalogue/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  {
    url: '/api/journal/catalogue/fetch',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
];
